<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<?php global $data ?>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title(' - ', true, 'right'); bloginfo('name'); ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<?php if(is_rtl()) { ?>
<link rel="stylesheet" href="<?php echo Lioit_URI; ?>/rtl.css" type="text/css" media="screen" />
<?php } else {?>

<?php }?>
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<?php if(!empty($data['custom_favicon'])) { ?><link rel="icon" type="image/png" href="<?php echo $data['custom_favicon']; ?>" /><?php } ?>
<!--[if lt IE 9]>
<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>
<![endif]-->
<?php echo stripslashes($data['code_header']); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php require Lioit_TM . '/css.php';?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <?php if($data['theme_width'] == 'fixed') { ?>
    <div id="fixedContainer">
    <?php } else { ?>
    <div id="container">
    <?php }?>
	
    	<div class="topBar loadSmooth">
        	<div class="inner">
            	<nav>
        	
				<?php if ( has_nav_menu( 'mainmenu' ) ) { ?>
                <?php  wp_nav_menu ( array( 'menu_id' => 'topNavigation','container'=> '', 'theme_location' => 'mainmenu' )); ?>
                <?php } else { ?>
                  <ul id="topNavigation">
                     <li class="active <?php if (is_home()) {echo "current_page_item";} ?>"><a href="<?php echo home_url(); ?>" class="home"><?php _e('Home' , 'lioit' ) ?></a></li>
                     <?php wp_list_pages(array(
                    'title_li' => false
                  )); ?>
                  </ul>
    
                <?php } ?>
                </nav>
                <div class="topRss">   
                    <?php if(!empty($data['social_header'])) { ?>
                    <?php require Lioit_TM . '/social.php';?>
                    <?php } ?>
                </div><!--End topRss-->
            </div><!--End Top Bar Content-->
        </div><!--End TopBar-->
        <div id="header" class="loadSmooth">
        	<div class="inner">
            	<div id="logo">
					<?php if($data['custom_logo'] !='') { ?>
                    <a href="<?php echo home_url(); ?>/" title="<?php bloginfo( 'name' ); ?>" rel="home">
                    <img src="<?php echo $data['custom_logo']; ?>" alt="<?php bloginfo( 'name' ) ?>" />
                    </a>
                    <?php } else { ?>
                    <a href="<?php echo home_url(); ?>/" title="<?php bloginfo( 'name' ); ?>" rel="home">
                    <img src="<?php echo Lioit_IMG; ?>/logo.png" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" />
                    </a>
                    <?php } ?>
                </div><!--End Logo-->
                <?php if(!empty($data['show_top_banner'])) { ?>
                <div id="banner">
                    <?php if($data['top_banner_img'] !='') { ?>
                    <a href="<?php echo $data['top_banner_url']; ?>" target="_blank" title="<?php echo $data['top_banner_alt']; ?>">
                    <img src="<?php echo $data['top_banner_img']; ?>" alt="<?php echo $data['top_banner_alt']; ?>" />
                    </a>
                    <?php } else { ?>
                    <a href="<?php echo home_url(); ?>"><img src="<?php echo Lioit_IMG; ?>/headbanner.png" alt="" title="" /></a>
                    <?php } ?>
                </div><!--End Banner-->
                <?php } ?>
            </div><!--End Main Header-->
        </div><!--End Header-->
        <div id="mainNavigation" class="navigation loadSmooth">
            <div class="inner">
            	<nav class="primary container">
					<?php if ( has_nav_menu( 'mainnav' ) ) { ?>
                       <?php  wp_nav_menu ( array( 'menu_id' => 'dropmenu','container'=> 'ul', 'theme_location' => 'mainnav' )); ?>
                       <?php } else { ?>
                          <ul id="dropmenu">
                             <li class="<?php if (is_home()) {echo "current_page_item";} ?> home"><a href="<?php echo home_url(); ?>"><?php _e('Home' , 'lioit' ) ?></a></li>
                             <?php wp_list_categories('title_li=');?>
                          </ul>
                        <?php } ?>
                </nav>
            </div><!--End Inner-->
        </div><!--End Main Menu-->
        <div id="content" class="loadSmooth">
        <?php if( is_front_page()) { ?>
		<?php if($data['disable_top_bar'] != '0') { ?>
            
        <div class="notification ondemand hide">
                
            <?php if(!empty($data['note'])) { ?>
                <p><?php echo $data['note']; ?><a href="<?php echo $data['note_url']; ?>" target="_blank"><?php echo $data['note_text']; ?></a></p>
            <?php } ?>
            <a class="close" href="javascript:">
            <img src="<?php echo get_template_directory_uri(); ?>/images/icon-close.png" />
            </a>
            
        </div>
            
        <?php } ?>
        <?php } ?>
        <?php if($data['newsticker'] != '0') { 
        	 require Lioit_TM . '/ticker.php';
         } else { 
         } ?>
		<?php require Lioit_TM . '/top.search.php';?>
        <?php if (is_home()){
        if(!empty($data['show_featured'])) { 
		 require Lioit_TM . '/index-nth-slider.php';
         } 
         }else { 
         } ?>
			